import React from 'react';
import { Page, Content } from '@choerodon/boot';
import CustomHeader from "../../components/custom-header";
import MainView from "./main-view";
import { useEnvironmentStore } from "./stores";
export default function Environment() {
  var _useEnvironmentStore = useEnvironmentStore(),
      permissions = _useEnvironmentStore.permissions;

  return /*#__PURE__*/React.createElement(Page, {
    service: ['choerodon.code.project.deploy.environment.ps.default']
  }, /*#__PURE__*/React.createElement(CustomHeader, {
    show: true
  }), /*#__PURE__*/React.createElement(MainView, null));
}